### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface ServerComponentInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`, `ServerInterface`, `SoftwareComponentInterface`

All Known Subinterfaces:
  `ConnectServerInterface`, `ConnectSpawnerInterface`, `DataStepBatchServerInterface`, `FtpServerInterface`, `GridMonitoringServerInterface`, `HttpServerInterface`, `JavaBatchServerInterface`, `MSMQQueueManagerInterface`, `OperatingSystemServerInterface`, `OracleServerInterface`, `ProxyListInterface`, `QueueManagerInterface`, `SasInProcessServerInterface`, `ShareServerInterface`, `SPDSServerInterface`, `TableServerInterface`, `WebsphereQueueManagerInterface`

All Known Implementing Classes:
  `OMRDatabaseServer`, `OMRHadoopServer`, `OMRPostgresServer`, `OMRProxyList`, `OMRSAPServer`, com.sas.services.information.metadata.OMRServerComponent, `OMRSPDSServer`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ServerComponentInterface extends ServerInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TransformationInterface>`
  `getInitProcesses()`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

  ### Methods inherited from interface com.sas.services.information.metadata.ServerInterface

  `addComputeTask, addDataPackage, addProperty, addServed, addServer, addServiceType, addSourceConnection, getApplicationProtocol, getClassIdentifier, getComputeTasks, getConnectionProperties, getDataPackages, getDescriptiveComponent, getDomains, getHost, getInstallationLocation, getIsLicensed, getMachine, getPlatform, getProperties, getProperties, getProperty, getServed, getServers, getServiceTypeObjects, getServiceTypes, getSourceConnections, getTcpPort, removeComputeTask, removeDataPackage, removeProperty, removeServed, removeServer, removeServiceType, removeSourceConnection, setApplicationProtocol, setClassIdentifier, setHost, setInstallationLocation, setIsLicensed, setMachine, setPlatform, setTcpPort`

  ### Methods inherited from interface com.sas.services.information.metadata.SoftwareComponentInterface

  `addDeployedComponent, addPropertyGroup, addSoftwareGroup, addSoftwareTree, getDependentComponents, getDependsOnComponents, getDeployedComponents, getImplementedObjects, getMajor, getMinor, getPrivateConfigurableProperties, getProductIdentifier, getProductName, getPropertyGroups, getPublicConfigurableProperties, getSoftwareComponentAttributes, getSoftwareGroups, getSoftwareTrees, getSoftwareVersion, getSpecVendor, getSpecVersion, getVendor, getVendorIdentifier, removeDeployedComponent, removePropertyGroup, removeSoftwareGroup, removeSoftwareTree, setDeployedComponents, setImplementedObjects, setMajor, setMinor, setProductIdentifier, setProductName, setPropertyGroups, setSoftwareComponentAttributes, setSoftwareGroups, setSoftwareTrees, setSoftwareVersion, setSpecVendor, setSpecVersion, setVendor, setVendorIdentifier`

- ## Method Details

  - ### getInitProcesses

    List<TransformationInterface> getInitProcesses() throws ServiceException, RemoteException
    Throws:
      `ServiceException`
      `RemoteException`